Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkAssemblyPaths Class Reference

`#include <vtkAssemblyPaths.h>`

Inheritance diagram for vtkAssemblyPaths:

[legend]
Collaboration diagram for vtkAssemblyPaths:

[legend]
List of all members.

## Detailed Description

a list of lists of props representing an assembly hierarchy

Date:
  2002/12/26 18:24:21

Revision:
  1.10

vtkAssemblyPaths represents an assembly hierarchy as a list of vtkAssemblyPath. Each path represents the complete path from the top level assembly (if any) down to the leaf prop.

See also:
  vtkAssemblyPath vtkAssemblyNode vtkPicker vtkAssembly vtkProp

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (90%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkAssemblyPaths.cxx)`
  - .`h` (`/Common/vtkAssemblyPaths.h)`

Definition at line 49 of file vtkAssemblyPaths.h.

## Public Types
typedef vtkCollection | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | AddItem (vtkAssemblyPath *p)
void | RemoveItem (vtkAssemblyPath *p)
int | IsItemPresent (vtkAssemblyPath *p)
vtkAssemblyPath * | GetNextItem ()
virtual unsigned long | GetMTime ()
## Static Public Methods
vtkAssemblyPaths * | New ()
int | IsTypeOf (const char *type)
vtkAssemblyPaths * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkAssemblyPaths ()
| ~vtkAssemblyPaths ()

## Member Typedef Documentation

typedef vtkCollection vtkAssemblyPaths::Superclass

| Reimplemented from vtkCollection. Definition at line 53 of file vtkAssemblyPaths.h.

## Constructor & Destructor Documentation

vtkAssemblyPaths::vtkAssemblyPaths | ( |  | ) | `[inline, protected]`

| Definition at line 73 of file vtkAssemblyPaths.h.

vtkAssemblyPaths::~vtkAssemblyPaths | ( |  | ) | `[inline, protected]`

| Definition at line 74 of file vtkAssemblyPaths.h.

## Member Function Documentation

vtkAssemblyPaths* vtkAssemblyPaths::New | ( |  | ) | `[static]`

| Construct with empty list. Reimplemented from vtkCollection.

virtual const char* vtkAssemblyPaths::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkCollection.

int vtkAssemblyPaths::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

virtual int vtkAssemblyPaths::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkCollection.

vtkAssemblyPaths* vtkAssemblyPaths::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkCollection.

void vtkAssemblyPaths::AddItem | ( | vtkAssemblyPath * | p | ) | `[inline]`

| Add a path to the list. Definition at line 88 of file vtkAssemblyPaths.h. References vtkCollection::AddItem().

void vtkAssemblyPaths::RemoveItem | ( | vtkAssemblyPath * | p | ) | `[inline]`

| Remove a path from the list. Definition at line 93 of file vtkAssemblyPaths.h. References vtkCollection::RemoveItem().

int vtkAssemblyPaths::IsItemPresent | ( | vtkAssemblyPath * | p | ) | `[inline]`

| Determine whether a particular path is present. Returns its position in the list. Definition at line 98 of file vtkAssemblyPaths.h. References vtkCollection::IsItemPresent().

vtkAssemblyPath * vtkAssemblyPaths::GetNextItem | ( |  | ) | `[inline]`

| Get the next path in the list. Definition at line 103 of file vtkAssemblyPaths.h. References vtkCollection::GetNextItemAsObject().

virtual unsigned long vtkAssemblyPaths::GetMTime | ( |  | ) | `[virtual]`

| Override the standard GetMTime() to check for the modified times of the paths. Reimplemented from vtkObject.

The documentation for this class was generated from the following file:

- Common/vtkAssemblyPaths.h